
Baggins_Outfitter = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0","AceEvent-2.0")

local Baggins_Outfitter = Baggins_Outfitter

local dewdrop = AceLibrary:HasInstance("Dewdrop-2.0") and AceLibrary("Dewdrop-2.0")

local function Matches(bag, slot, rule)

	local sTest = rule.test
	if not sTest then return end

	local pItemInfo = Outfitter:GetBagItemInfo(bag, slot);
	if not pItemInfo then return end 

	local vOutfits = Outfitter:GetOutfitsUsingItem(pItemInfo);
	if not vOutfits then return end
	
	if sTest == "All" then
		return true
	end

end

local function GetName(rule)
	local sTest = rule.test or "???"
	if sTest == "All" then
		return "Outfitter: All"
	else
		return "Outfitter: ???"
	end
end

local function CleanRule(rule)
	rule.test = "All"
end

local function DewDropOptions(rule, level, value)
	if level == 1 then
		dewdrop:AddLine("text", "Outfitter", "isTitle", true)
		dewdrop:AddLine("text", "Outfitter: All", "checked", rule.test == "All", "func", function(k) rule.test = "All" Baggins:OnRuleChanged() end, "arg1", "All")
	end
end

function Baggins_Outfitter:OnEnable()
	Baggins:AddCustomRule("Outfitter", {
		DisplayName = "Outfitter",
		Description = "Filter by used in Outfitter set.",
		Matches = Matches,
		GetName = GetName,
		CleanRule = CleanRule,
		DewDropOptions = DewDropOptions
	})
end
